Name:		fcitx-keyboard
Version:	0.1.3
Release:	1%{?dist}
Summary:	X Keyboard integration with Fcitx
Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://code.google.com/p/fcitx/
Source0:	http://fcitx.googlecode.com/files/%{name}-%{version}-1.tar.gz

BuildRequires:	cmake, fcitx-devel, gettext, intltool, libxml2-devel
BuildRequires:	xorg-x11-proto-devel, xorg-x11-xtrans-devel, libxkbfile-devel
BuildRequires:	enchant-devel, iso-codes-devel, glibc-devel, libicu-devel
Requires:	fcitx

%description
Fcitx-keyboard integrates Fcitx into X keyboard, requires X window system.


%prep
%setup -q -n %{name}-%{version}


%build
%{__mkdir} -pv build
pushd build
%cmake ..
make %{?_smp_mflags} VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd
cat << EOF > %{name}.lang 
%lang(zh) /usr/share/locale/zh_TW/LC_MESSAGES/%{name}.mo
%lang(zh) /usr/share/locale/zh_CN/LC_MESSAGES/%{name}.mo
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README COPYING
%{_datadir}/fcitx/configdesc/*.desc
%{_datadir}/fcitx/addon/*.conf
%{_libdir}/fcitx/*.so


%changelog
* Sun May 13 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.3-1
- Upstream to fcitx-keyboard-0.1.3

* Sun Feb 26 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.0-1
- Initial Package
